### Method

# Ggit Mailmap add_entry

#### Declaration [src]

    void
    ggit_mailmap_add_entry (
      GgitMailmap* mailmap,
      const gchar* real_name,
      const gchar* real_email,
      const gchar* replace_name,
      const gchar* replace_email,
      GError** error
    )

#### Description [src]

Adds a new entry to `mailmap`, replacing `replace_name` and `replace_email` with `real_name` and `real_email` respectively. If `replace_name` is `NULL`, it is ignored during matching. If either `real_name` or `real_email` is `NULL`, the respective field is not replaced.

#### Parameters

`real_name`

  Type: `const gchar*`

  The real name of the person.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`real_email`

  Type: `const gchar*`

  The real email of the person.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`replace_name`

  Type: `const gchar*`

  The name to replace.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`replace_email`

  Type: `const gchar*`

  The email to replace.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.